### File

`packages/ecl/components/ecl-table/ecl-table.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclTableCell]`

### Index

###### Methods
getCssClasses
###### Inputs
eclTableCellHeader isGroup class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

eclTableCellHeader
Type : `string`
Provides a reference to the related table header. Sets the `data-ecl-table-header` attribute for accessibility or responsive behavior.

isGroup
Type : `boolean`
Default value : `false`
If `true`, applies additional group styling to the cell.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Computes and applies appropriate CSS classes for the table cell.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Computes and applies appropriate CSS classes for the table cell. Returns : `string`

# results matching ""

# No results matching ""